QWidgetItem(3qt)

NAME
QWidgetItem - Layout item that represents a widget

SYNOPSIS
#include <qlayout.h>

Inherits QLayoutItem.

  Public Members
QWidgetItem ( QWidget * w )
virtual QSize sizeHint () const
virtual QSize minimumSize () const
virtual QSize maximumSize () const
virtual QSizePolicy::ExpandData expanding () const
virtual bool isEmpty () const
virtual void setGeometry ( const QRect & r )
virtual QWidget * widget ()

DESCRIPTION
The QWidgetItem class is a layout item that represents a widget.

This is used by custom layouts.

See also QLayout, QLayout::widget(), Widget Appearance and Style, and Layout Management.

MEMBER FUNCTION DOCUMENTATION

QWidgetItem::QWidgetItem ( QWidget * w )
Creates an item containing widget w.

QSizePolicy::ExpandData QWidgetItem::expanding () const [virtual]
Returns whether this item's widget can make use of more space than sizeHint(). A value of Vertical or Horizontal means that it wants to grow in only one dimension, whereas BothDirections means that it wants to grow in both dimensions and NoDirection means that it doesn't want to grow at all.

Reimplemented from QLayoutItem.

bool QWidgetItem::isEmpty () const [virtual]
Returns TRUE if the widget has been hidden; otherwise returns FALSE.

Reimplemented from QLayoutItem.

QSize QWidgetItem::maximumSize () const [virtual]
Returns the maximum size of this item.

Reimplemented from QLayoutItem.

QSize QWidgetItem::minimumSize () const [virtual]
Returns the minimum size of this item.

Reimplemented from QLayoutItem.

void QWidgetItem::setGeometry ( const QRect & r ) [virtual]
Sets the geometry of this item's widget to be contained within rect r, taking alignment and maximum size into account.

Reimplemented from QLayoutItem.

QSize QWidgetItem::sizeHint () const [virtual]
Returns the preferred size of this item.

Reimplemented from QLayoutItem.

QWidget * QWidgetItem::widget () [virtual]
Returns the widget managed by this item.

Reimplemented from QLayoutItem.

SEE ALSO
http://doc.trolltech.com/qwidgetitem.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qwidgetitem.3qt) and the Qt version (3.2.0).